### dsa-rs

This is a ***work-in-progress*** library for "Das Schwarze Auge", a german pen and paper RPG.
It targets the fifth edition and intentionally does not come with any content, 
to avoid infringement of the copyright of Ulisses Medien & Spiel Distribution GmbH.
Instead, it does come with a schema of how the content needs to be formatted. 
For usage, please create the content files yourself, using their rule books as sources.

## Current features:
 - Characteristics
 - Skills
 - Trials for each of the above.
 
The architecture of the code above isn't very good though, 
so for now I'd just wait (or participate in planning a better architecture).

## Planned features:
 - [ ] Heroes
   - [ ] Create and change heroes, based on the rules
   - [ ] Skills
     - [ ] trials
     - [ ] and probabilities
   - [ ] Characteristics
     - [ ] trials
   - [ ] Derived Values
     - [ ] management of current values for things like LE/AE/KE
   - [ ] Conditions
   - [ ] Wounds
   - [ ] Special abilities
   - [ ] Advantages/Disadvantages
   - [ ] Species
   - [ ] Culture
   - [ ] Profession
   - [ ] Inventory, including money
   - [ ] Equipment
   - [ ] Notes about adventures
   - [ ] Relationships
   - [ ] AP/SE
   - [ ] Combat
   - [ ] Rolling back changes (each change should be saved as a transaction)
   - [ ] Insert your proposal here!
     
     
## Out of scope (for this library):

 - Any kind of UI/CLI for the things above
 - Content: This library should only implement concepts, like skills, 
 but not contain actual instances of those concepts. The content is something the user needs 
 to obtain themselves.